BEGIN ~brukra25~

IF ~Global("ExpLoveTalk","LOCALS",2)
    Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 25Brukra0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 25Brukra1
END

IF ~~ THEN BEGIN 25Brukra1
  SAY @2 = @3 = @4
  IF ~~ THEN REPLY @5 GOTO 25Brukra2
  IF ~~ THEN REPLY @6 GOTO 25Brukra3
  IF ~~ THEN REPLY @7 GOTO 25Brukra4
END

IF ~~ THEN BEGIN 25Brukra2
  SAY @8 = @9 = @10
  IF ~~ THEN REPLY @14 GOTO 25Brukra5
  IF ~~ THEN REPLY @15 GOTO 25Brukra6
END

IF ~~ THEN BEGIN 25Brukra3
  SAY @9 = @10
  IF ~~ THEN REPLY @14 GOTO 25Brukra5
  IF ~~ THEN REPLY @15 GOTO 25Brukra6
END

IF ~~ THEN BEGIN 25Brukra4
  SAY @11 = @12 = @13
  IF ~~ THEN DO ~IncrementGlobal("RukRomanceFailureTwice","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 25Brukra5
  SAY @16 = @17 = @18 = @19
  IF ~~ THEN REPLY @22 GOTO 25Brukra7
  IF ~~ THEN REPLY @23 GOTO 25Brukra8
END

IF ~~ THEN BEGIN 25Brukra6
  SAY @20 = @21 = @19
  IF ~~ THEN REPLY @22 GOTO 25Brukra7
  IF ~~ THEN REPLY @23 GOTO 25Brukra8
END

IF ~~ THEN BEGIN 25Brukra7
  SAY @24 = @25
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25Brukra8
  SAY @26 = @27 = @28
  IF ~~ THEN EXIT
END

//----------두번째 + 세번째 ----------

IF ~Global("ExpLoveTalk","LOCALS",4)
    Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 25Brukra9
  SAY @29
  IF ~~ THEN REPLY @30 GOTO 25Brukra10
END

IF ~~ THEN BEGIN 25Brukra10
  SAY @31
  IF ~~ THEN REPLY @32 GOTO 25Brukra11
  IF ~~ THEN REPLY @33 GOTO 25Brukra11
  IF ~~ THEN REPLY @34 GOTO 25Brukra11
  IF ~~ THEN REPLY @35 GOTO 25Brukra12
END

IF ~~ THEN BEGIN 25Brukra11
  SAY @36 = @37
  IF ~~ THEN REPLY @38 GOTO 25Brukra13
  IF ~~ THEN REPLY @39 GOTO 25Brukra14
END

IF ~~ THEN BEGIN 25Brukra12
  SAY @37
  IF ~~ THEN REPLY @38 GOTO 25Brukra13
  IF ~~ THEN REPLY @39 GOTO 25Brukra14
END

IF ~~ THEN BEGIN 25Brukra13
  SAY @40 = @41 = @42 = @43 = @44 = @45
  IF ~~ THEN REPLY @46 GOTO 25Brukra15
  IF ~~ THEN REPLY @47 GOTO 25Brukra16
END

IF ~~ THEN BEGIN 25Brukra14
  SAY @42 = @43 = @44 = @45
  IF ~~ THEN REPLY @46 GOTO 25Brukra15
  IF ~~ THEN REPLY @47 GOTO 25Brukra16
END

IF ~~ THEN BEGIN 25Brukra15
  SAY @48 = @49
  IF ~NumInPartyAliveGT(2)~ THEN GOTO 25Brukra17
  IF ~NumInPartyAliveLT(3)~ THEN GOTO 25Brukra18
END

IF ~~ THEN BEGIN 25Brukra16
  SAY @67 = @49
  IF ~NumInPartyAliveGT(2)~ THEN GOTO 25Brukra17
  IF ~NumInPartyAliveLT(3)~ THEN GOTO 25Brukra18
END

IF ~~ THEN BEGIN 25Brukra17
  SAY @50
  IF ~~ THEN REPLY @52 GOTO 25Brukra19
  IF ~~ THEN REPLY @53 GOTO 25Brukra20
  IF ~~ THEN REPLY @54 GOTO 25Brukra21
END

IF ~~ THEN BEGIN 25Brukra18
  SAY @51
  IF ~~ THEN REPLY @52 GOTO 25Brukra19
  IF ~~ THEN REPLY @53 GOTO 25Brukra20
  IF ~~ THEN REPLY @54 GOTO 25Brukra21
END

IF ~~ THEN BEGIN 25Brukra19
  SAY @55 = @56
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("ruknigh2")~ EXIT
END

IF ~~ THEN BEGIN 25Brukra20
  SAY @57 = @58
  IF ~~ THEN REPLY @59 DO ~ClearAllActions()
                           StartCutSceneMode()
                           StartCutScene("ruknigh2")~ EXIT
END

IF ~~ THEN BEGIN 25Brukra21
  SAY @60 = @61
  IF ~~ THEN REPLY @62 GOTO 25Brukra23
  IF ~~ THEN REPLY @63 GOTO 25Brukra22
END

IF ~~ THEN BEGIN 25Brukra22
  SAY @64
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("ruknigh2")~ EXIT
END

IF ~~ THEN BEGIN 25Brukra23
  SAY @65 = @66
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~Global("ExpLoveTalk","LOCALS",6)
    Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 25Brukra24
  SAY @68
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")~ THEN GOTO 25Brukra25
  IF ~IsValidForPartyDialog("KORGAN")~ THEN EXTERN KORGA25J RUKNIGHKORGAN
  IF ~!IsValidForPartyDialog("KORGAN")
      IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUKNIGHEDWIN
END

IF ~~ THEN BEGIN 25Brukra25
  SAY @71
  IF ~~ THEN REPLY @72 GOTO 25Brukra26
  IF ~~ THEN REPLY @73 GOTO 25Brukra26
END

IF ~~ THEN BEGIN 25Brukra26
  SAY @74 = @75 = @76
  IF ~~ THEN REPLY @77 GOTO 25Brukra27
  IF ~~ THEN REPLY @78 GOTO 25Brukra28
  IF ~~ THEN REPLY @79 GOTO 25Brukra29
END

IF ~~ THEN BEGIN 25Brukra27
  SAY @80 = @83 = @84
  IF ~~ THEN REPLY @85 GOTO 25Brukra30
  IF ~~ THEN REPLY @86 GOTO 25Brukra31
  IF ~~ THEN REPLY @87 GOTO 25Brukra32
END

IF ~~ THEN BEGIN 25Brukra28
  SAY @81 = @83 = @84
  IF ~~ THEN REPLY @85 GOTO 25Brukra30
  IF ~~ THEN REPLY @86 GOTO 25Brukra31
  IF ~~ THEN REPLY @87 GOTO 25Brukra32
END

IF ~~ THEN BEGIN 25Brukra29
  SAY @82 = @83 = @84
  IF ~~ THEN REPLY @85 GOTO 25Brukra30
  IF ~~ THEN REPLY @86 GOTO 25Brukra31
  IF ~~ THEN REPLY @87 GOTO 25Brukra32
END

IF ~~ THEN BEGIN 25Brukra30
  SAY @88
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25Brukra31
  SAY @89
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25Brukra32
  SAY @90
  IF ~~ THEN EXIT
END

//----------다섯번째----------

IF ~Global("ExpLoveTalk","LOCALS",10)
    Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 25Brukra33
  SAY @91
  IF ~~ THEN REPLY @92 GOTO 25Brukra34
  IF ~~ THEN REPLY @93 GOTO 25Brukra35
  IF ~~ THEN REPLY @94 GOTO 25Brukra36
END

IF ~~ THEN BEGIN 25Brukra34
  SAY @95 = @98 = @104
  IF ~~ THEN REPLY @105 GOTO 25Brukra40
END

IF ~~ THEN BEGIN 25Brukra35
  SAY @96 = @99 = @100
  IF ~~ THEN REPLY @101 GOTO 25Brukra39
  IF ~Global("RukRomanceFailureTwice","GLOBAL",1)~ THEN REPLY @102 GOTO 25Brukra37
  IF ~!Global("RukRomanceFailureTwice","GLOBAL",1)~ THEN REPLY @102 GOTO 25Brukra38
END

IF ~~ THEN BEGIN 25Brukra36
  SAY @97 = @104
  IF ~~ THEN REPLY @105 GOTO 25Brukra40
END

IF ~~ THEN BEGIN 25Brukra37
  SAY @103
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 25Brukra38
  SAY @103
  IF ~~ THEN DO ~IncrementGlobal("RukRomanceFailureTwice","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 25Brukra39
  SAY @98 = @104
  IF ~~ THEN REPLY @105 GOTO 25Brukra40
END

IF ~~ THEN BEGIN 25Brukra40
  SAY @106 = @107 = @108 = @109
  IF ~~ THEN REPLY @110 GOTO 25Brukra41
  IF ~~ THEN REPLY @111 GOTO 25Brukra41
END

IF ~~ THEN BEGIN 25Brukra41
  SAY @112 = @113 = @114 = @115 = @116
  IF ~~ THEN REPLY @117 GOTO 25Brukra42
  IF ~~ THEN REPLY @118 GOTO 25Brukra43
END

IF ~~ THEN BEGIN 25Brukra42
  SAY @119
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25Brukra43
  SAY @120
  IF ~~ THEN EXIT
END

//----------여섯번째----------

IF ~Global("ExpLoveTalk","LOCALS",12)
    Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 25Brukra44
  SAY @121
  IF ~~ THEN REPLY @122 GOTO 25Brukra45
  IF ~~ THEN REPLY @123 GOTO 25Brukra46
END

IF ~~ THEN BEGIN 25Brukra45
  SAY @126 = @127 = @128
  IF ~~ THEN REPLY @129 GOTO 25Brukra47
  IF ~~ THEN REPLY @130 GOTO 25Brukra48
END

IF ~~ THEN BEGIN 25Brukra46
  SAY @124 = @125
  IF ~Global("RukRomanceFailureTwice","GLOBAL",1)~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
  IF ~!Global("RukRomanceFailureTwice","GLOBAL",1)~ THEN DO ~IncrementGlobal("RukRomanceFailureTwice","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 25Brukra47
  SAY @131
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 25Brukra48
  SAY @132
  IF ~~ THEN EXIT
END

//----------일곱번째----------

IF ~Global("ExpLoveTalk","LOCALS",14)
    Global("RukrakiaRomanceActive","GLOBAL",5)
    !Global("RukrakiaGetSecond","GLOBAL",1)~ THEN BEGIN 25Brukra49
  SAY @133
  IF ~~ THEN REPLY @134 GOTO 25Brukra50
  IF ~~ THEN REPLY @135 DO ~ClearAllActions()
                            StartCutSceneMode()
                            StartCutScene("rukcoldb")~ EXIT
END

IF ~~ THEN BEGIN 25Brukra50
  SAY @136
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rukcoldb")~ EXIT
END

IF ~Global("ExpLoveTalk","LOCALS",14)
    Global("RukrakiaRomanceActive","GLOBAL",5)
    Global("RukrakiaGetSecond","GLOBAL",1)~ THEN BEGIN 25Brukra51
  SAY @137
  IF ~~ THEN REPLY @138 GOTO 25Brukra52
  IF ~~ THEN REPLY @139 GOTO 25Brukra53
  IF ~~ THEN REPLY @140 GOTO 25Brukra54
END

IF ~~ THEN BEGIN 25Brukra52
  SAY @141
  IF ~~ THEN REPLY @142 GOTO 25Brukra55
END

IF ~~ THEN BEGIN 25Brukra53
  SAY @143
  IF ~~ THEN REPLY @144 GOTO 25Brukra55
END

IF ~~ THEN BEGIN 25Brukra54
  SAY @145 = @146
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 25Brukra55
  SAY @147 = @148 = @149 = @150
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("MINSC")~ THEN EXIT
  IF ~IsValidForPartyDialog("KORGAN")~ THEN EXTERN KORGA25J RUKGETCKORGAN
  IF ~!IsValidForPartyDialog("KORGAN")
      IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUKGETCEDWIN
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUKGETCKELDORN
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUKGETCJAHEIRA
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("MINSC")~ THEN EXTERN MINSC25J RUKGETCMINSC
END

//--------------------------------

APPEND KORGA25J
IF ~~ THEN BEGIN RUKNIGHKORGAN
  SAY @69
  IF ~!IsValidForPartyDialog("EDWIN")~ THEN EXTERN BRUKRA25 25Brukra25
  IF ~IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUKNIGHEDWIN
END
END

APPEND EDWIN25J
IF ~~ THEN BEGIN RUKNIGHEDWIN
  SAY @70
  IF ~~ THEN EXTERN BRUKRA25 25Brukra25
END
END


APPEND KORGA25J
IF ~~ THEN BEGIN RUKGETCKORGAN
  SAY @151
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("MINSC")~ THEN EXIT
  IF ~IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUKGETCEDWIN
  IF ~!IsValidForPartyDialog("EDWIN")
      IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUKGETCKELDORN
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUKGETCJAHEIRA
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("MINSC")~ THEN EXTERN MINSC25J RUKGETCMINSC
END
END

APPEND EDWIN25J
IF ~~ THEN BEGIN RUKGETCEDWIN
  SAY @152
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("MINSC")~ THEN EXIT
  IF ~IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUKGETCKELDORN
  IF ~!IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUKGETCJAHEIRA
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("MINSC")~ THEN EXTERN MINSC25J RUKGETCMINSC
END
END

APPEND KELDO25J
IF ~~ THEN BEGIN RUKGETCKELDORN
  SAY @153
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("MINSC")~ THEN EXIT
  IF ~IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUKGETCJAHEIRA
  IF ~!IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("MINSC")~ THEN EXTERN MINSC25J RUKGETCMINSC
END
END

APPEND JAHEI25J
IF ~~ THEN BEGIN RUKGETCJAHEIRA
  SAY @154
  IF ~!IsValidForPartyDialog("MINSC")~ THEN EXIT
  IF ~IsValidForPartyDialog("MINSC")~ THEN EXTERN MINSC25J RUKGETCMINSC
END
END

APPEND MINSC25J
IF ~~ THEN BEGIN RUKGETCMINSC
  SAY @155
  IF ~~ THEN EXIT
END
END